DCMTK - Feature #1106

Add functions that permit an efficient conversion between OFString and std::string
Status: Closed
Priority: Normal
Assignee: Marco Eichelberg
Category: Library

Target version:
Module: ofstd
Operating System:

Start date: 2024-02-19
Due date:

% Done: 100%
Estimated time: 1:00 hour
Compiler:

Description

Depending on the configuration, class OFString is either a typedef for std::string, or an independent implementation.
If would be desirable to offer conversion functions that efficiently convert between both classes in both cases, e.g.

STD_NAMESPACE string OFString_to_std_string(const OFString& arg);
OFString std_string_to_ OFString(const STD_NAMESPACE string& arg);

History

#1 - 2024-06-26 10:37 - JOorg Riesmeier

- Target version changed from 3.6.9 to 3.7.1+

#2 - 2025-01-05 12:12 - Marco Eichelberg
- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- Target version deleted (3.7.1+)

- % Done changed from 0 to 100

- Estimated time set to 1:00 h

Closed by commit #82e57e254.
